netdev
[Top] [All Lists]

Re: tulip NAPI patch that works with 2.4.20-pre9 or so?

To: Ben Greear <greearb@xxxxxxxxxxxxxxx>
Subject: Re: tulip NAPI patch that works with 2.4.20-pre9 or so?
From: Robert Olsson <Robert.Olsson@xxxxxxxxxxx>
Date: Tue, 22 Oct 2002 15:55:20 +0200
Cc: jamal <hadi@xxxxxxxxxx>, Robert Olsson <Robert.Olsson@xxxxxxxxxxx>, "'netdev@xxxxxxxxxxx'" <netdev@xxxxxxxxxxx>
In-reply-to: <3DB4EB25.5050706@xxxxxxxxxxxxxxx>
References: <Pine.GSO.4.30.0210210826440.17911-100000@xxxxxxxxxxxxxxxx> <3DB4EB25.5050706@xxxxxxxxxxxxxxx>
Sender: netdev-bounce@xxxxxxxxxxx
Ben Greear writes:


   In the help file, you suggest this at close:
            for (i=0; i<NR_CPUS; i++) {
 -                  if(adapter->cnt[i]) {
.
   I think the second if should probably be while, ie like this:
            for (i=0; i<NR_CPUS; i++) {
 +                  while(adapter->cnt[i]) {
 
 Thanks!

 Your postings about driver for p430 Phobos 4-port NIC was very confusing. 
 I assume that tulip in 2.4.20-pre9 works even without the tulip-020922.pat.  
 Right?

 Does the board have separate MII-transceivers or is the tulip chips used
 for MII?

 Cheers.

                                                --ro


<Prev in Thread] Current Thread [Next in Thread>